#
# spec file for package perl-php-serialization (Version 0.27)
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to dirk.hartmann@sitter-net.de


# norootforbuild

# usedforbuild aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl perl-Compress-Zlib perl-IO-String perl-IO-Zlib perl-X10 rpm

Name:         perl-php-serialization
Version:      0.27
Release:      2
Requires:     perl = %{perl_version}
Autoreqprov:  on
Group:        Development/Libraries/Perl
License:      Artistic License
Summary:      Perl module for interaction with PHP
Source:       PHP-Serialization-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Perl module for interaction with PHP



Authors:
--------
    Jesse Brown <jbrown@cpan.org>

%debug_package
%prep
%setup -n PHP-Serialization-%{version}
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
make test
# ---------------------------------------------------------------------------

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %perl_vendorlib/PHP
%perl_vendorlib/PHP/Serialization.pm
%dir %perl_vendorarch/auto/PHP
%perl_vendorarch/auto/PHP/Serialization
%doc %_mandir/man3/*.gz
/var/adm/perl-modules/perl-php-serialization
%doc MANIFEST README

%changelog -n perl-php-serialization
* Mon Dec 24 2007 - monex@liquid-co.de
- change default owner to root
* Thu Sep 20 2005 - monex@liquid-co.de
- initial build
